------------------------------------------------------------------------------------
--Name：            200628[简体征服][活动脚本]全球七夕花魁活动（剧情）
--Creator:      耿力兀
--Created:     2020-06-28
------------------------------------------------------------------------------------

------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(257,118)
CppScriptMgr:AddEffect("zf2-e183",263,124);
CppScriptMgr:AddEffect("dyrcj",250,132);
CppScriptMgr:AddEffect("qlgcj",260,120);

local player2 = CppScriptMgr:AddSimplePlayer(1050563,260,126,"PoetQin",4003000035,1)
local effectObj1 = CppScriptMgr:AddEffect("LuckDiffuse",260,126);
local effectObj2 = CppScriptMgr:AddEffect("LuckDiffuse",263,124);
local hero = CppScriptMgr:QueryHero();
hero:SetLook(hero:GetLook(), false, true) ;
hero:SetZoomPercent(100)
hero:SetPos(263,124)
hero:SetDir(3)

CppScriptMgr:AddEffect("zf2-e019",253,116);
local player1 = CppScriptMgr:AddSimplePlayer(1051037,253,116,"MagpieFairy",4003000034,1)
CppScriptMgr:NpcCallOut("Magpie Fairy wants to summon magpies to build a super bridge to connect stars during the Chinese Valentine.",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"PoetQin",250,655)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Heroes around are all busy summoning magpies.",2000,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"PoetQin",250,655)
CppScriptMgr:WaitMilSec(2000)
local player4 = CppScriptMgr:AddSimplePlayer(1051046,199,134,"Kiki",4003000037,1)
local player5 = CppScriptMgr:AddSimplePlayer(1051056,202,130,"Miles",4003000038,1)
local player6 = CppScriptMgr:AddSimplePlayer(1051062,295,119,"Eunice",4003000039,1)
local player7 = CppScriptMgr:AddSimplePlayer(1051072,297,115,"Trevor",4003000040,1)


CppScriptMgr:SetViewPosByCell(260,129)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(255,130)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(250,131)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(245,132)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(240,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(235,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(230,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(225,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(220,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(215,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(210,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(205,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(200,132)
player4:Say("The Magpie Bridge over stars must be fascinating.",2000)
CppScriptMgr:AddEffect("NEW-flower-r-1",199,134);
CppScriptMgr:WaitMilSec(2000)
player5:Say("By then, I will take you to see the wonderful starry night!",2000)
CppScriptMgr:AddEffect("eidolon",202,130);
CppScriptMgr:AddEffect("qixiniao",202,130);
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:SetViewPosByCell(205,133)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(210,132)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(215,131)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(220,130)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(225,129)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(230,128)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(235,127)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(240,126)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(245,125)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(250,124)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(255,123)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(260,122)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(265,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(270,120)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(275,119)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(280,118)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(285,117)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(290,117)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(295,117)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(297,117)
player6:Say("Look at you! Why did you just summoned few magpies?",2000)
CppScriptMgr:WaitMilSec(2000)
player7:Say("Don`t hurry! I can summon more!",2000)
player7:SetAction(190);
CppScriptMgr:AddEffect("bless",297,115);
CppScriptMgr:AddEffect("qixiniao",297,115);
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(295,118)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(290,119)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(285,120)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(280,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(275,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(270,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(265,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(260,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(258,121)
CppScriptMgr:NpcCallOut("It is said that the Magpie Flute can be used to summon magpies. Let`s find Magpie Fairy to know about how to use the Magpie Flute.",3000,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"PoetQin",250,655)
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:ClearEffect(effectObj1)
CppScriptMgr:ClearEffect(effectObj2)

CppScriptMgr:SetViewPosByCell(255,118)
CppScriptMgr:WaitMilSec(50)

player2:WalkTo(255,120)
hero:WalkTo(257,119)

player1:Say("I have always been waiting for you.",2000)
CppScriptMgr:WaitMilSec(2000)

hero:Say("How can I help you build the Magpie Bridge?",2000)
CppScriptMgr:WaitMilSec(2000)

player1:Say("All you need to do is to use the Magpie Flute to summon magpies.",2000)
CppScriptMgr:WaitMilSec(2000)

hero:Say("I will try my best to help you.",2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:NpcCallOut("Magpie Fairy has told me the method of getting the Magpie Flute. After we leave here, please pay me a visit.",3000,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"PoetQin",250,655)
CppScriptMgr:WaitMilSec(3000)